[Qa-jenkins-scm] [jenkins.debian.net] 01/01: fixup 43c0ed4: reproducible Debian: also provide summaries for other log types than stale builds
Holger Levsen
holger at layer-acht.org
Wed Jan 25 00:54:37 UTC 2017
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit c38ffaffb0595be4c5ec155072ed44565ee656ab
Author: Holger Levsen <holger at layer-acht.org>
Date: Wed Jan 25 01:54:30 2017 +0100
fixup 43c0ed4: reproducible Debian: also provide summaries for other log types than stale builds
Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
bin/reproducible_html_breakages.py | 6 +++---
bin/reproducible_maintenance.sh | 2 +-
2 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/bin/reproducible_html_breakages.py b/bin/reproducible_html_breakages.py
index e2a42f1..6990e6d 100755
--- a/bin/reproducible_html_breakages.py
+++ b/bin/reproducible_html_breakages.py
@@ -175,9 +175,9 @@ def alien_log(directory=None):
if os.path.getmtime('/'.join([root, file]))<time.time()-86400:
os.remove('/'.join([root, file]))
log.warning('/'.join([root, file]) + ' should not be there and and was older than a day so it was removed.')
- else:
bad_files.append('/'.join([root, file]))
- log.info('/'.join([root, file]) + ' should not be there, but is also less than 24h old and will probably soon be gone.')
+ else:
+ log.info('/'.join([root, file]) + ' should not be there, but is also less than 24h old and will probably soon be gone. Probably diffoscope is running on that package right now.')
except FileNotFoundError:
pass # that bad file is already gone.
return bad_files
@@ -212,9 +212,9 @@ def alien_buildinfo():
try:
if os.path.getmtime('/'.join([root, file]))<time.time()-86400:
os.remove('/'.join([root, file]))
+ bad_files.append('/'.join([root, file]))
log.warning('/'.join([root, file]) + ' should not be there and and was older than a day so it was removed.')
else:
- bad_files.append('/'.join([root, file]))
log.info('/'.join([root, file]) + ' should not be there, but is also less than 24h old and will probably soon be gone.')
except FileNotFoundError:
pass # that bad file is already gone.
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index cf95ada..80a8f0f 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -472,8 +472,8 @@ if [ "$HOSTNAME" = "$MAINNODE" ] && [ $(date -u +%H) -eq 0 ] ; then
else
OTHERPROJECTS="archlinux fedora"
fi
+ echo "$(grep -c https $PROBLEM || echo 0) entries found:" >> $TMPFILE
for a in $ARCHS $OTHERPROJECTS; do
- echo "$(grep -c https $PROBLEM || echo 0) entries found:" >> $TMPFILE
echo "- $(grep https $PROBLEM|grep -c _$a) from $a." >> $TMPFILE
done
elif grep -q 'stale builds found' $PROBLEM ; then
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list